import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class Hurt  extends Actor
{

    public People target;
    private int offset;
    public Hurt(People caller, int height)
    {
        target = caller;
        getImage().scale(28, 24);
        offset = height;
        getImage().setTransparency(0);
    }
    
    public void act() 
    {
        if (target.getWorld() != null) 
            setLocation(target.getX() + (int)(offset * Math.cos(Math.toRadians(target.getRotation() - 90))), target.getY() + (int)(offset * Math.sin(Math.toRadians(target.getRotation() - 90))));
        else getWorld().removeObject(this);
    }    
}
