import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Point  extends Actor
{
    private Game world;
    
    public Point(Game parent)
    {
        world = parent;
    }
    
    public void act() 
    {
        if (world.player == null)
            setRotation((int)Math.toDegrees(world.gravity.direction) - 90);
        else
            setRotation((int)Math.toDegrees(world.player.drop.direction) - 90);
    }    
}
