import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;
import java.io.InputStream;

public class Score  extends Actor
{
    public int score = 0;
    private GreenfootImage img = new GreenfootImage(700, 30);
    private GreenfootImage[] amount =
    {
        new GreenfootImage("coin3.png"),
        new GreenfootImage("coin2.png"),
        new GreenfootImage("coin1.png")
    };
    
    public Score()
    {
        setImage(img);
        update();
    }
    
    public void update()
    {
        int[] digits = { 100, 10, 1 };
        int subscore;
        int digit;
        int _score = score;
        int i;
        img.clear();
        int pos = 1;
        for (int s = 0; s < 3; s++)
        {
            digit = digits[s];
            subscore = (int)(_score / digit);
            _score -= subscore * digit;
            for (i = 0; i < subscore; i++)
            {
                img.drawImage(amount[s], pos, 0);
                pos += 21;
            }
        }
    }
}
