import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Turn  extends Actor
{
    public Vector direction = new Vector(Math.PI / 2, 2);
    private boolean used = false;

    public Turn() {}
    public Turn(Vector turn)
    {
        direction = turn;
        getImage().rotate((int)Math.toDegrees(direction.direction) + 90);
    }
    
    public void Rotate()
    {
        if (!used)
        {
            used = true;
            Game world = (Game)getWorld();
            world.gravity = new Vector(direction.direction, direction.magnitude);
            world.up = new Vector(direction.direction + Math.PI, direction.magnitude);
            setImage("turnUsed.png");
            getImage().rotate((int)Math.toDegrees(direction.direction) + 90);
            Greenfoot.playSound("Bump.wav");
        }
    }
}
