public class Vector  
{
    
    public double x;
    public double y;
    public double direction;
    public double magnitude;
    public double max = 15;
    
    public Vector(double turn, double length)
    {
        direction = turn;
        magnitude = length;
        x = Math.cos(direction) * magnitude;
        y = Math.sin(direction) * magnitude;
    }

    public void add(Vector other)
    {
        x += other.x;
        y += other.y;
    }
    
    public void updatePosition()
    {
        magnitude = Math.sqrt((x * x) + (y * y));
        if (magnitude > max)
        {
            x *= max / magnitude;
            y *= max / magnitude;
            magnitude = max;
        }
    }
}
