import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

public class GameFileFilter extends FileFilter {
    
    public boolean accept(File f)
    {
        if (f.isDirectory()) {
            return true;
        }

        String extension = ext.getExtension(f);
        if (extension != null)
        {
            if (extension.equals(ext.gameFile))
                return true;
            else
                return false;
        }
            
        return false;
    }

    public String getDescription() {
        return "\"Super Mario Galaxy 2D\" game data";
    }
    
    public static class ext
    {
        public final static String gameFile = "smg2d";

        public static String getExtension(File f) {
            String extStr = null;
            String s = f.getName();
            int i = s.lastIndexOf('.');

            if (i > 0 &&  i < s.length() - 1) {
                extStr = s.substring(i+1).toLowerCase();
            }
            return extStr;
        }
    }
}